<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Remove_Driver_From_Group StructType
 * @subpackage Structs
 */
class Remove_Driver_From_Group extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The RemoveDriverFromGroup
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\RemoveDriverFromGroup
     */
    public $RemoveDriverFromGroup;
    /**
     * Constructor method for Remove_Driver_From_Group
     * @uses Remove_Driver_From_Group::setLogin()
     * @uses Remove_Driver_From_Group::setRemoveDriverFromGroup()
     * @param \StructType\Login $login
     * @param \StructType\RemoveDriverFromGroup $removeDriverFromGroup
     */
    public function __construct(\StructType\Login $login = null, \StructType\RemoveDriverFromGroup $removeDriverFromGroup = null)
    {
        $this
            ->setLogin($login)
            ->setRemoveDriverFromGroup($removeDriverFromGroup);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Remove_Driver_From_Group
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get RemoveDriverFromGroup value
     * @return \StructType\RemoveDriverFromGroup|null
     */
    public function getRemoveDriverFromGroup()
    {
        return $this->RemoveDriverFromGroup;
    }
    /**
     * Set RemoveDriverFromGroup value
     * @param \StructType\RemoveDriverFromGroup $removeDriverFromGroup
     * @return \StructType\Remove_Driver_From_Group
     */
    public function setRemoveDriverFromGroup(\StructType\RemoveDriverFromGroup $removeDriverFromGroup = null)
    {
        $this->RemoveDriverFromGroup = $removeDriverFromGroup;
        return $this;
    }
}
